﻿@{
    ViewBag.Title = "Index";
    bool isSpg = (ViewBag.IsSpg == null ? false : (bool)ViewBag.IsSpg);
}

<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Member</h3>
    </div>

    <!-- Page Stats -->
    <ul class="page-stats">
        @if (!isSpg)
        {
            <li>
                <a href="#" onclick="SyncMember()" class="btn btn-icon input-block-level">
                    <i class="icon-group"></i>
                    <div>Sync Member</div>
                </a>
            </li>
        }
        <li>
            <a href="@Url.Action(MVC.Member.Add())" class="btn btn-icon input-block-level">
                <i class="icon-group"></i>
                <div>Add Member</div>
            </a>
        </li>
        @if (!isSpg)
        {
            <li>
                <a href="@Url.Action(MVC.Member.Upload())" class="btn btn-icon input-block-level">
                    <i class="icon-group"></i>
                    <div>Upload Member</div>
                </a>
            </li>
        }
    </ul>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->

<div class="row">
    <div class="col-md-12">
        <div class="widget">
            @Html.Action("GridGetAllMemberPager", new { page = 1 })
            <!-- .box-content -->
        </div>
        <!-- .box -->
    </div>
</div>

@section FooterScript{
    <script>
        //(function () {
        //    var gridName = 'AllMember';
        //    var pagingUrl = '@Url.Action(MVC.Member.GridGetAllMemberPager())';
        //
        //    $('.grid-mvc').gridmvc();
        //    pageGrids[gridName].ajaxify({
        //        getData: pagingUrl,
        //        getPagedData: pagingUrl,
        //        gridFilterForm: $('#gridSeachMember')
        //    });
        //}())
        function SyncMember() {
            $.ajax({
                url: '@Url.Action(MVC.Member.SyncMember())',
                timeout: 30000,
                success: function (msg) {
                    alert(JSON.stringify(msg));
                },
                error: function (jqXHR, textStatus) {
                    alert('Error Occured'); //MESSAGE
                }
            })
        };

        $(document).ready(function () {
            function LoadGridFunctions() {
                function LoadData(dataUrl) {
                    if (dataUrl) {
                        $.ajax({
                            url: dataUrl,
                            complete: function (xhr, status) {
                                if (status === 'success') {
                                    $('div.widget').html(xhr.responseText);
                                } else {
                                    alert(status + ' : ' + xhr.responseText);
                                }
                                LoadGridFunctions();
                            }
                        })
                    }
                }

                $('div.grid-header-title > a, .grid-footer ul.pagination li > a').on('click', function (e) {
                    e.preventDefault();
                    var dataUrl = $(this).data('url');
                    LoadData(dataUrl);
                })

                $('form[name=gridForm]').on('submit', function (e) {
                    e.preventDefault();
                    //e.stopPropagation();
                    HideLoader();
                    var dataUrl = decodeURIComponent($(this).find('[type=hidden][name=rawDataUrl]').val()).replace('@@search@@', $(this).find('[type=text][name=txtSearch]').val());
                    LoadData(dataUrl);
                })
            }
            LoadGridFunctions();
        })

        function confirmDelete(confirmText, deleteUrl) {
            if (confirm(confirmText)) {
                window.open(deleteUrl, '_self');
            }
        }
    </script>
}